Skip to main content
`Ctrl`+`K`

# TSMonitorLGSetDisplayVariables

Sets the variables that are to be display in the monitor

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGSetDisplayVariables(TS ts, const char *const *displaynames)

Collective

## Input Parameters

- ts - the `TS` context

- displaynames - the names of the components, final string must be `NULL`

## Note

If the `TS` object does not have a `TSMonitorLGCtx` associated with it then this function is ignored

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorLGSetVariableNames()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages